const ForkTSCheckerPlugin = require('../compiled/fork-ts-checker-webpack-plugin');

module.exports = async function addForkTSCheckerPlugin(opts) {
  const { config, userConfig } = opts;
  if (userConfig.forkTSChecker) {
    if (userConfig.forkTSChecker.typescript?.enable) {
      userConfig.forkTSChecker.typescript.typescriptPath = require.resolve('typescript');
    }
    config.plugin('fork-ts-checker-plugin').use(ForkTSCheckerPlugin, [userConfig.forkTSChecker]);
  }
};
