const { NormalModuleReplacementPlugin } = require('../compiled/webpack');

module.exports = async function addNodePrefixPlugin(opts) {
  const { config } = opts;
  config.plugin('node-prefix-plugin').use(NormalModuleReplacementPlugin, [
    /^node:/,
    resource => {
      resource.request = resource.request.replace(/^node:/, '');
    },
  ]);
};
