const { IgnorePlugin } = require('../compiled/webpack');
async function addIgnorePlugin(opts) {
  const { config, userConfig } = opts;
  if (userConfig.ignoreMomentLocale) {
    config.plugin('ignore-moment-locale').use(IgnorePlugin, [
      {
        resourceRegExp: /^\.\/locale$/,
        contextRegExp: /moment$/,
      },
    ]);
  }
}

module.exports = addIgnorePlugin;
